#pragma once

#include "CoreMinimal.h"
#include "AkPlatformInitializationSettingsBase.h"
#include "AkCommonInitializationSettingsWithSampleRate.h"
#include "AkAudioSession.h"
#include "AkCommunicationSettingsWithSystemInitialization.h"
#include "AkIOSAdvancedInitializationSettings.h"
#include "AkIOSInitializationSettings.generated.h"

UCLASS(Blueprintable)
class AKAUDIO_API UAkIOSInitializationSettings : public UAkPlatformInitializationSettingsBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAkCommonInitializationSettingsWithSampleRate CommonSettings;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAkAudioSession AudioSession;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAkCommunicationSettingsWithSystemInitialization CommunicationSettings;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAkIOSAdvancedInitializationSettings AdvancedSettings;

public:
	UAkIOSInitializationSettings();
};

FORCEINLINE uint32 GetTypeHash(const UAkIOSInitializationSettings) { return 0; }
